#!/usr/bin/env python

import sys
import optparse

import finalconfig
import finalconfig.runner
import finalconfig.const

def make_parser():
    '''Return command line option parser.'''
    parser = optparse.OptionParser()
    
    parser.add_option ("-s", "--self", action="store_true", dest="self_",
        default=False,
        help="run a session for FinalConfig's own preferences")

    parser.add_option ("--self-config", dest='config',
        help="use non-default config file location for FinalConfig's own preferences")

    parser.add_option ("--self-desc", dest='desc',
        help="use non-default desc file location for FinalConfig's own preferences")

    return parser


if __name__ == "__main__":
    parser = make_parser()
    opts, args = parser.parse_args()

    if len (args) > 0:
        print >> sys.stderr, 'error: unused positional arguments -> ignoring them'

    app = None
    
    if opts.self_:
        app = finalconfig.runner.Runner (finalconfig.const.APP_NAME, opts.config,
            opts.desc)
    else:
        app = finalconfig.Application (opts.config, opts.desc)

    if app is not None:
        app.run()

