'''This module implements client functionality, that can be used with asynchronous
clients as well with synchronous clients (not implemented yet).
'''

import os.path

import finalconfig.config

def _build_config (config_path, desc_path):
    '''Create a new config file.'''
    default = finalconfig.config.read_config (desc_path)
    finalconfig.config.write_config (default, config_path)

def _update_config (config_path, desc_path):
    '''Add missing entries.'''
    config = finalconfig.config.read_config (config_path)
    default = finalconfig.config.read_config (desc_path)
    for key, value in default.iteritems():
        if not key in config:
            config[key] = value
    finalconfig.config.write_config (config, config_path)

def ensure_config (config_path, desc_path):
    '''Make sure there is a valid config file at the config_path (according to the file
    at the desc_path).'''
    if not os.path.isfile (config_path):
        _build_config (config_path, desc_path)
    elif os.path.getmtime (config_path) <= os.path.getmtime (desc_path):
        _update_config (config_path, desc_path)


