'''This module implements a runner for FinalConfig's own preference settings.
'''

import gtk
import dbus.mainloop.glib
import gobject

import finalconfig.const
import finalconfig.client.async

class Runner:

    def __init__ (self, app_name, config, desc):
        if config is None or config=='':
            config = finalconfig.const.CONFIG_PATH
        if desc is None or desc=='':
            desc = finalconfig.const.DESC_PATH    
        self.config = finalconfig.client.async.Config (desc, config, app_name,
            close_listener = self)
        gobject.idle_add (self._started)
        
    def run (self):
        '''Enter mainloop.'''
        gtk.main()        

    def _started (self):
        dbus.mainloop.glib.DBusGMainLoop (set_as_default=True) 
        if not self.config.edit():
            gtk.main_quit()
        return False

    def dialogue_closed (self):
        gtk.main_quit()

