#!/usr/bin/env python

from distutils.core import setup

import finalconfig.const

setup (
    name = 'finalconfig',
    version = finalconfig.const.VERSION,
    author = 'Marc Zinnschlag',
    author_email = 'marc@zpages.de',
    license = 'LGPLv3+',
    description = 'Application preferences dialogue as a dbus service',
    url = 'https://launchpad.net/finalconfig',
    
    packages = ['finalconfig', 'finalconfig.client'],
    scripts = ['final_config.py'],
    data_files =
        [ ('/usr/share/dbus-1/services/', [ 'de.zpages.FinalConfig.service' ] ),
          ( finalconfig.const.DESC_DIR, [ finalconfig.const.DESC_LEAF ] ),
          ( '/usr/local/share/applications/', [ 'finalconfig.desktop' ] )
        ],
    requires = [ 'gtk', 'dbus' ],
    
    classifiers = [
        'Environment :: X11 Applications',
        'Development Status :: 4 - Beta',
        'Topic :: Desktop Environment',
        'Intended Audience :: Developers',
        'Intended Audience :: End Users/Desktop',
        'Operating System :: POSIX',
        'Programming Language :: Python',
        'License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)'
    ]
    )

