
import os.path
import xml.dom.minidom

import pygtk
import gtk
import dbus.mainloop.glib
import gobject

import finalconfig.client.async

APP_NAME = 'Test Application'
CONFIG = 'test/config.xml'
DESC = 'test/test.xml'

class TestApp:

    def destroy (self, widget, data=None):
        self.config.shutdown()
        gtk.main_quit()
        
    def __init__ (self):
        self.config = finalconfig.client.async.Config (DESC, CONFIG, APP_NAME)
        self.window = gtk.Window (gtk.WINDOW_TOPLEVEL)
        self.window.set_size_request (400, 160)
        self.window.set_title (APP_NAME)
        self.window.connect ("destroy", self.destroy)
        self.box = gtk.VBox()
        self.window.add (self.box)
        self.label = gtk.Label()
        self.box.pack_end (self.label)
        self.button = gtk.Button ('config')
        self.button.connect ('clicked', self.edit)
        self.box.pack_end (self.button, False)
        self.window.show_all()
        self.config.add_listener (self)
        self.on_config_changed (self.config)
        gobject.idle_add (self.started)
        
    def run (self):
        gtk.main()
        
    def started (self):
        dbus.mainloop.glib.DBusGMainLoop (set_as_default=True) 
        return False
        
    def edit (self, widget):
        self.config.edit()
        
    def on_config_changed (self, config):
        '''User has changed preferences.'''
        self.label.set_text (config.config['alpha'])

